package utils

import (
	"encoding/json"
	"errors"
	"file_upload/backend/global"
	"os"
)

func SaveDataToFile(data interface{}, fileName string) error {
	// 序列化 data 为 JSON 格式的字节切片
	jsonData, err := json.MarshalIndent(data, "", "    ")
	if err != nil {
		return errors.New("无法序列化数据")
	}
	// 创建文件
	filpath := global.DownloadSetting.FilePath + "/" + fileName
	file, err := os.Create(filpath + ".json")
	if err != nil {
		return errors.New("无法创建文件")
	}
	defer file.Close()
	// 写入文件
	_, err = file.Write(jsonData)
	if err != nil {
		return errors.New("无法写入文件")
	}
	return nil
}
